%define upstream_name Spreadsheet_Excel_Writer
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.9.3
Release:     	%mkrel 5
Summary:    	Package for generating Excel spreadsheets
License: 	LGPL
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Spreadsheet_Excel_Writer-%{version}.tgz
URL: 		http://pear.php.net/package/Spreadsheet_Excel_Writer
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-OLE >= 0.5
Requires:	php-pear >= 1.4.0b1
BuildArch: noarch

%description
Spreadsheet_Excel_Writer was born as a porting of the
Spreadsheet::WriteExcel Perl module to PHP.
  It allows writing of Excel spreadsheets without the need for COM objects.
  It supports formulas, images (BMP) and all kinds of formatting for text
and cells.
  It currently supports the BIFF5 format (Excel 5.0), so functionality
appeared in the latest Excel versions is not yet available.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Spreadsheet_Excel_Writer.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Spreadsheet_Excel_Writer.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Spreadsheet_Excel_Writer
fi

%files
%{peardir}/*
%{xmldir}/Spreadsheet_Excel_Writer.xml


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0.9.3-5.mga6
+ Revision: 935746
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-4.mga5
+ Revision: 747195
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-3.mga5
+ Revision: 687465
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.3-2.mga4
+ Revision: 528281
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.9.3-1.mga4
+ Revision: 444011
- upgrade to version 0.9.3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.2-2.mga3
+ Revision: 377290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 0.9.2-1.mga2
+ Revision: 196107
- upgrade to 0.9.2
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.9.1-7.mga1
+ Revision: 44296
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Spreadsheet_Excel_Writer


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-7mdv2011.0
+ Revision: 613774
- the mass rebuild of 2010.1 packages

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-6mdv2010.1
+ Revision: 467085
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Oct 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-5mdv2010.0
+ Revision: 454611
- fix bad xml the hard way, fixes install

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.9.1-4mdv2010.0
+ Revision: 441570
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-3mdv2009.1
+ Revision: 322662
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-2mdv2009.0
+ Revision: 237067
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdv2008.0
+ Revision: 15751
- 0.9.1


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8-8mdv2007.0
+ Revision: 82664
- Import php-pear-Spreadsheet_Excel_Writer

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8-8mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-5mdk
- fix deps

* Fri Jul 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-4mdk
- fix the package.xml file so it will register

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-1mdk
- initial Mandriva package (PLD import)

